Skip to main content

Topic: change web backend  (Read 500 times)

  • wrani
  • [*]
change web backend
Hi
I have an imx6 yocto 2.4 based build.
I would like to configure otter to use qtwebengine instead of qtwebkit.
How do I do that ?
Thanks
Ran

  • beastie
  • [*][*]
Re: change web backend
Reply #1
I don't have WebEngine, so I can't test if this works, but you have Backends/Web in about:config.

  • Emdek
  • [*][*][*][*][*]
  • Moderator
Re: change web backend
Reply #2
@wrani, just like @beastie said, simply change that option.
You need QtWebEngine 5.9 or newer, by default all available backends are built.
Nadszedł już czas, najwyższy czas, nienawiść zniszczyć w sobie.
The time has come, the high time, to destroy hatred in oneself.

  • browse op
  • [*]
Re: change web backend
Reply #3
@wrani, just like @beastie said, simply change that option.
You need QtWebEngine 5.9 or newer, by default all available backends are built.

How to do it in Windows? It only shows WebKit.

  • beastie
  • [*][*]
Re: change web backend
Reply #4
How to do it in Windows? It only shows WebKit.
Someone correct me if I'm wrong, but I don't think you can install WebEngine on its own on Windows. Instead there are packages for Windows that are compiled specifically against WebEngine. You can find them in the experimental subdirectory on SourceForge.

  • browse op
  • [*]
Re: change web backend
Reply #5
How to do it in Windows? It only shows WebKit.
Someone correct me if I'm wrong, but I don't think you can install WebEngine on its own on Windows. Instead there are packages for Windows that are compiled specifically against WebEngine. You can find them in the experimental subdirectory on SourceForge.
Thanks a lot. :)
However, QtWebEngine renders weirdly, so I immediately switched back to WebKit.